RDKit: RDMIF::UFFVdWaals Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDMIF::UFFVdWaals Class Reference

`#include <MIFDescriptors.h>`

Inheritance diagram for RDMIF::UFFVdWaals:

## Public Member Functions
| UFFVdWaals (const RDKit::ROMol &mol, int confId=-1, const std::string &probeAtomType="O_3", double cutoff=1.0)
| constructs VdWaals object which uses UFF from a molecule object
| UFFVdWaals (const UFFVdWaals &other)=delete
UFFVdWaals & | operator= (const UFFVdWaals &other)=delete
| UFFVdWaals (UFFVdWaals &&other)=default
UFFVdWaals & | operator= (UFFVdWaals &&other)=default
| ~UFFVdWaals () override=default
Public Member Functions inherited from RDMIF::VdWaals
| VdWaals ()=default
| VdWaals (const RDKit::ROMol &mol, int confId=-1, double cutoff=1.0)
| VdWaals (const VdWaals &other)=delete
VdWaals & | operator= (const VdWaals &other)=delete
| VdWaals (VdWaals &&other)=default
VdWaals & | operator= (VdWaals &&other)=default
virtual | ~VdWaals ()=default
double | operator() (double x, double y, double z, double thres) const
| returns the VdW interaction at point `pt` in the molecules field in [kJ mol^-1]

## Additional Inherited Members
Protected Member Functions inherited from RDMIF::VdWaals
void | fillVectors ()
Protected Attributes inherited from RDMIF::VdWaals
double | d_cutoff = 1.0
unsigned int | d_nAtoms = 0
std::vector< double > | d_pos
std::vector< double > | d_R_star_ij
std::vector< double > | d_wellDepth
std::unique_ptr< RDKit::ROMol > | d_mol

## Detailed Description

Definition at line 361 of file MIFDescriptors.h.

## Constructor & Destructor Documentation

## ◆ UFFVdWaals() [1/3]

RDMIF::UFFVdWaals::UFFVdWaals | ( | const RDKit::ROMol & | mol,
|  | int | confId = -1,
|  | const std::string & | probeAtomType = "O_3",
|  | double | cutoff = 1.0 )

constructs VdWaals object which uses UFF from a molecule object

Parameters

  mol | molecule object
  confId | conformation id which is used to get positions of atoms (default: -1)
  probeAtomType | UFF atom type for the probe atom (e.g. "O_3", i.e. a tetrahedral oxygen)
  cutoff | minimum cutoff distance [A] (default: 1.0)

Referenced by operator=(), operator=(), UFFVdWaals(), and UFFVdWaals().

## ◆ UFFVdWaals() [2/3]

RDMIF::UFFVdWaals::UFFVdWaals | ( | const UFFVdWaals & | other | ) |
| delete

References UFFVdWaals().

## ◆ UFFVdWaals() [3/3]

RDMIF::UFFVdWaals::UFFVdWaals | ( | UFFVdWaals && | other | ) |
| default

References UFFVdWaals().

## ◆ ~UFFVdWaals()

RDMIF::UFFVdWaals::~UFFVdWaals | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ operator=() [1/2]

UFFVdWaals & RDMIF::UFFVdWaals::operator= | ( | const UFFVdWaals & | other | ) |
| delete

References UFFVdWaals().

## ◆ operator=() [2/2]

UFFVdWaals & RDMIF::UFFVdWaals::operator= | ( | UFFVdWaals && | other | ) |
| default

References UFFVdWaals().

The documentation for this class was generated from the following file:

- MIFDescriptors.h